Debian Bug report logs - #467664
libaudio-moosic-perl: FTBFS with Perl 5.10: the empty /usr/lib/perl5 is gone

version graph

Package: libaudio-moosic-perl; Maintainer for libaudio-moosic-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for libaudio-moosic-perl is src:libaudio-moosic-perl.

Reported by: Niko Tyni <ntyni@debian.org>

Date: Tue, 26 Feb 2008 19:12:20 UTC

Severity: important

Tags: patch

Found in version libaudio-moosic-perl/0.09-1

Fixed in version libaudio-moosic-perl/0.09-1.1

Done: Stephen Gran <sgran@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Florian Ragwitz <florian@mookooh.org>:
Bug#467664; Package libaudio-moosic-perl. Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
New Bug report received and forwarded. Copy sent to Florian Ragwitz <florian@mookooh.org>. Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: maintonly@bugs.debian.org
Subject: libaudio-moosic-perl: FTBFS with Perl 5.10: the empty /usr/lib/perl5 is gone
Date: Tue, 26 Feb 2008 21:10:10 +0200
Package: libaudio-moosic-perl
Version: 0.09-1
Severity: important
User: debian-perl@lists.debian.org
Usertags: perl-5.10-ftbfs-rmdir

This package fails to build with Perl 5.10.0 (currently in
experimental) because of a bug in debian/rules that has been
uncovered by a change in ExtUtils::Install.

Until Perl 5.10.0, ExtUtils::Install had a bug that created an empty
/usr/lib/perl5 or /usr/share/perl5 directory when 'make install' was
run. This package fails to build because it relies on the presence of
this empty directory, usually by trying to remove it without checking
if it exists first.

The suggested fix for the usual 'unconditional rmdir' case is to use
a conditional like

[ ! -d $(TMP)/usr/lib/perl5 ] || rmdir --ignore-fail-on-non-empty
--parents --verbose $(TMP)/usr/lib/perl5

See the current dh-make-perl templates.

Please treat this bug as 'serious' already: Perl 5.10.0 is scheduled
for unstable in a week or so.

Details about the ExtUtils::Install change can be found in #465783. 
-- 
Niko Tyni   ntyni@debian.org





Information forwarded to debian-bugs-dist@lists.debian.org, Florian Ragwitz <florian@mookooh.org>:
Bug#467664; Package libaudio-moosic-perl. Full text and rfc822 format available.

Acknowledgement sent to Stephen Gran <sgran@debian.org>:
Extra info received and forwarded to list. Copy sent to Florian Ragwitz <florian@mookooh.org>. Full text and rfc822 format available.

Message #10 received at 467664@bugs.debian.org (full text, mbox):

From: Stephen Gran <sgran@debian.org>
To: 467664@bugs.debian.org
Subject: libaudio-moosic-perl: diff for NMU version 0.09-1.1
Date: Sat, 5 Apr 2008 13:03:42 +0100
[Message part 1 (text/plain, inline)]
tags 467664 + patch
thanks

Hi,

Attached is the diff for my libaudio-moosic-perl 0.09-1.1 NMU.

Cheers,
-- 
 -----------------------------------------------------------------
|   ,''`.                                            Stephen Gran |
|  : :' :                                        sgran@debian.org |
|  `. `'                        Debian user, admin, and developer |
|    `-                                     http://www.debian.org |
 -----------------------------------------------------------------
[libaudio-moosic-perl-0.09-1.1-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Tags added: patch Request was from Stephen Gran <sgran@debian.org> to control@bugs.debian.org. (Sat, 05 Apr 2008 12:06:07 GMT) Full text and rfc822 format available.

Reply sent to Stephen Gran <sgran@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Niko Tyni <ntyni@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 467664-close@bugs.debian.org (full text, mbox):

From: Stephen Gran <sgran@debian.org>
To: 467664-close@bugs.debian.org
Subject: Bug#467664: fixed in libaudio-moosic-perl 0.09-1.1
Date: Sat, 05 Apr 2008 12:17:05 +0000
Source: libaudio-moosic-perl
Source-Version: 0.09-1.1

We believe that the bug you reported is fixed in the latest version of
libaudio-moosic-perl, which is due to be installed in the Debian FTP archive:

libaudio-moosic-perl_0.09-1.1.diff.gz
  to pool/main/liba/libaudio-moosic-perl/libaudio-moosic-perl_0.09-1.1.diff.gz
libaudio-moosic-perl_0.09-1.1.dsc
  to pool/main/liba/libaudio-moosic-perl/libaudio-moosic-perl_0.09-1.1.dsc
libaudio-moosic-perl_0.09-1.1_all.deb
  to pool/main/liba/libaudio-moosic-perl/libaudio-moosic-perl_0.09-1.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 467664@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Stephen Gran <sgran@debian.org> (supplier of updated libaudio-moosic-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 05 Apr 2008 13:02:07 +0100
Source: libaudio-moosic-perl
Binary: libaudio-moosic-perl
Architecture: source all
Version: 0.09-1.1
Distribution: unstable
Urgency: low
Maintainer: Florian Ragwitz <florian@mookooh.org>
Changed-By: Stephen Gran <sgran@debian.org>
Description: 
 libaudio-moosic-perl - Moosic client library for Perl
Closes: 467664
Changes: 
 libaudio-moosic-perl (0.09-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Conditionally remove /usr/lib/perl5 (closes: #467664)
Files: 
 0d7d79f052deb34a4b5577ea5767ba36 659 perl optional libaudio-moosic-perl_0.09-1.1.dsc
 843240ecfe68558c649c70a493e3d9f2 1859 perl optional libaudio-moosic-perl_0.09-1.1.diff.gz
 ea26e474cc954c39ce737109ff36913a 17830 perl optional libaudio-moosic-perl_0.09-1.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH92p1SYIMHOpZA44RAlC2AJ4tbLsOW0kItyX9Gkx0Q31uT+kR7ACeO7UW
X9zmjC1zXx7PA+JvOlk4yR0=
=e7ca
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 23 May 2008 07:33:58 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 01:46:34 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.